Bug 1377062 - /var/tmp/rpm-tmp.KPCugR: line 2: /bin/systemctl: No such file or directory
Summary: /var/tmp/rpm-tmp.KPCugR: line 2: /bin/systemctl: No such file or directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Milind Changire
QA Contact: Byreddy
URL:
Whiteboard:
Depends On: 1375181 1376385 1399031 1400635
Blocks: 1350694 1351528
TreeView+ depends on / blocked
 
Reported: 2016-09-18 06:47 UTC by Atin Mukherjee
Modified: 2017-03-23 05:47 UTC (History)
12 users (show)

Fixed In Version: glusterfs-3.8.4-7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1376385
Environment:
Last Closed: 2017-03-23 05:47:24 UTC


Attachments (Terms of Use)
ISO package installation log (259.64 KB, text/plain)
2016-11-30 05:28 UTC, Byreddy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Comment 2 Atin Mukherjee 2016-09-18 06:48:51 UTC
Upstream mainline : http://review.gluster.org/15469

Comment 4 Atin Mukherjee 2016-09-28 06:18:58 UTC
upstream mainline patch : http://review.gluster.org/15469
upstream 3.9 patch : http://review.gluster.org/#/c/15508/
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/85550/

All the patches are merged now. Moving the state to Modified.

Comment 6 Byreddy 2016-11-24 09:46:57 UTC
Still i am seeing this issue in rhel7 rhgs3.2 iso

01:38:21,271 INFO packaging: glusterfs-3.8.4-5.el7rhgs.x86_64 (154/751)

01:38:21,272 INFO packaging: /var/tmp/rpm-tmp.06bjWR: line 2: /bin/systemctl: No such file or directory

Comment 7 Byreddy 2016-11-24 10:06:32 UTC
Moving to assigned state to fix this one.

Comment 9 Atin Mukherjee 2016-11-28 06:23:52 UTC
http://review.gluster.org/#/c/15936 is posted for review.

Comment 10 Byreddy 2016-11-30 05:28:47 UTC
Created attachment 1226160 [details]
ISO package installation log

Comment 11 Niels de Vos 2016-11-30 07:46:11 UTC
Attachment 1226160 [details] confirms that the glusterfs package is installed before systemd. Here a snippet with the line numbers:

1864 23:36:48,781 INFO packaging: glusterfs-3.8.4-5.el7rhgs.x86_64 (154/751)
1865 
1866 23:36:48,781 INFO packaging: /var/tmp/rpm-tmp.tDkwFT: line 2: /bin/systemctl: No such file or directory
....
2582 23:36:48,904 INFO packaging: systemd-219-30.el7_3.6.x86_64 (512/751)


This means that dropping the absolute path to /bin/systemctl is not sufficient. The glusterfs sub-package needs to have a dependency on systemd, like

  Requires(post): systemd

or, preferably correct these dependencies for all sub-packages that need to execute systemctl commands to:

  %systemd_requires

Comment 12 Atin Mukherjee 2016-12-02 05:41:51 UTC
upstream mainline : http://review.gluster.org/15936
upstream 3.9 : http://review.gluster.org/#/c/15999
downstream : https://code.engineering.redhat.com/gerrit/#/c/91958/

Comment 13 Milind Changire 2016-12-06 06:22:20 UTC
Added BZ to erratum RHEA-2016:24866-02
Moving to ON_QA

Comment 14 Byreddy 2016-12-12 06:23:44 UTC
Verified this issue using latest available rhgs3.2 rhel7 iso.
Issue no more exists so moving the bz to verified state.

Comment 17 errata-xmlrpc 2017-03-23 05:47:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.